Bug 178816 - yum not using the no_proxy environment variable
yum not using the no_proxy environment variable
Status: CLOSED DUPLICATE of bug 191864
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Depends On:
  Show dependency treegraph
Reported: 2006-01-24 10:34 EST by Hugo Cisneiros
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-30 00:27:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2006-01-24 10:34:16 EST
Description of problem:

- As Linux console programs use the environment variables: http_proxy, ftp_proxy
and no_proxy, yum uses the first two, but ignores the no_proxy.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Configure proxy with the ENVVARS http_proxy, ftp_proxy and no_proxy
2. Configure a local repository that shouldn't use proxy (local, no_proxy var)
3. Try to yum update
Actual results:

yum tries to get the files throught proxy, even if the host is specified in the
no_proxy environment variable.

Expected results:

yum passes direct without proxy in hosts specified in no_proxy environment variable.

Additional info:

links/lynx, wget, perl, and many others programs read the no_proxy.
Comment 1 Christian Iseli 2007-01-22 05:51:50 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 2 Till Maas 2008-01-06 21:07:37 EST
This bug still exists in Fedora 7
Comment 3 Zachary Napora 2008-04-30 00:27:52 EDT
This might be two separate issues, but there clearly is something wrong with
yum(python) following the proxy syntax.

*** This bug has been marked as a duplicate of 191864 ***

Note You need to log in before you can comment on or make changes to this bug.